﻿namespace CustomBehavior.ViewModels
{
    using System;

    public class MainViewModel
    {
        /// <summary>
        /// ファイル読込のコールバックを取得します。
        /// </summary>
        public Action<string> ReadFileCallback
        {
            get { return OnReadFile; }
        }

        /// <summary>
        /// ファイルを読み込みます。
        /// </summary>
        /// <param name="filename">ファイル名を指定します。</param>
        private void OnReadFile(string filename)
        {
            System.Console.WriteLine("ViewModel : " + filename);
        }
    }
}
